summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-10-09 10:52:01 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-11 00:14:15 +0700
commit324c5cc39f6dc72fce7f8ff3b3d0bae3c76f5513 (patch)
treed6cfa1234583ac50af2bb41cff91aad5a8a307e2
parent31a0f9f6f03868737612d0417eacbd59ca111643 (diff)
downloadslackbuilds-324c5cc39f6dc72fce7f8ff3b3d0bae3c76f5513.tar.gz
slackbuilds-324c5cc39f6dc72fce7f8ff3b3d0bae3c76f5513.tar.xz
development/ParadisEO: Added (computation library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/ParadisEO/ParadisEO.SlackBuild88
-rw-r--r--development/ParadisEO/ParadisEO.info10
-rw-r--r--development/ParadisEO/README5
-rw-r--r--development/ParadisEO/doinst.sh9
-rw-r--r--development/ParadisEO/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/development/ParadisEO/ParadisEO.SlackBuild b/development/ParadisEO/ParadisEO.SlackBuild
new file mode 100644
index 0000000000..5f364a5c6c
--- /dev/null
+++ b/development/ParadisEO/ParadisEO.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for ParadisEO
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ParadisEO
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-2.0
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-2.0
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ .
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS README LICENSE INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ParadisEO/ParadisEO.info b/development/ParadisEO/ParadisEO.info
new file mode 100644
index 0000000000..77e0c3aad9
--- /dev/null
+++ b/development/ParadisEO/ParadisEO.info
@@ -0,0 +1,10 @@
+PRGNAM="ParadisEO"
+VERSION="1.3.1"
+HOMEPAGE="http://paradiseo.gforge.inria.fr/"
+DOWNLOAD="https://gforge.inria.fr/frs/download.php/31732/ParadisEO-2.0.1.tar.gz"
+MD5SUM="89f875b3f92abdb64b26c6c207fef346"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/development/ParadisEO/README b/development/ParadisEO/README
new file mode 100644
index 0000000000..33c8a6461f
--- /dev/null
+++ b/development/ParadisEO/README
@@ -0,0 +1,5 @@
+EO is a template-based, ANSI-C++ evolutionary computation library which
+helps you to write your own stochastic optimization algorithms
+insanely fast. With the help of EO, you can easily design evolutionary
+algorithms that will find solutions to virtually all kind of hard
+optimization problems, from continuous to combinatorial ones.
diff --git a/development/ParadisEO/doinst.sh b/development/ParadisEO/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/development/ParadisEO/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/ParadisEO/slack-desc b/development/ParadisEO/slack-desc
new file mode 100644
index 0000000000..2f83e32af4
--- /dev/null
+++ b/development/ParadisEO/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ParadisEO: ParadiseEO (ANSI-C++ evolutionary computation library)
+ParadisEO:
+ParadisEO: EO is a template-based, ANSI-C++ evolutionary computation library
+ParadisEO: which helps you to write your own stochastic optimization algorithms
+ParadisEO: insanely fast. With the help of EO, you can easily design
+ParadisEO: evolutionary algorithms that will find solutions to virtually
+ParadisEO: all kind of hard optimization problems, from continuous
+ParadisEO: to combinatorial ones.
+ParadisEO:
+ParadisEO:
+ParadisEO: